#!/bin/sh

# install symbolic link for Fridu Xen Tools

BINDIR=/usr/sbin
CONFIG=/etc/sysconfig
XEN_SCRIPTS=/etc/xen/scripts



cd `dirname $0`
BASE=`pwd`
cd $BASE
mkdir -p $CONFIG

FIX_BASE () {
  if test ! -f ./$1/Fridu-$2.script
  then
     echo "Hoops !!! cannot open $BASE/$1/Fridu-$2.script"
     exit 1
  fi

  sed "s:FRIDU_BASE=.*$:FRIDU_BASE=$BASE/$1:" <./$1/Fridu-$2.script >./$1/Fridu-$2.tmp
  mv -f ./$1/Fridu-$2.tmp ./$1/Fridu-$2.script
  chmod +x  ./$1/Fridu-$2.script
}

echo "Install Firewall config=$CONFIG/Fridu-firewall.config command=Fridu-firewall.script"
FIX_BASE firewall firewall $FRIDU_BASE
ln -sf $BASE/firewall/Fridu-firewall.config  $CONFIG/.
ln -sf $BASE/firewall/Fridu-firewall.script  $BINDIR/.
ln -sf $BASE/firewall/Fridu-firewall.initrd  /etc/init.d/Fridu-firewall

echo "Install QoS      config=$CONFIG/Fridu-qos.config      command=Fridu-qos.script"
FIX_BASE qos qos $FRIDU_BASE
ln -sf $BASE/qos/Fridu-qos.script  $BINDIR/.
ln -sf $BASE/qos/Fridu-qos.config  $CONFIG/.
ln -sf $BASE/qos/Fridu-qos.initrd  /etc/init.d/Fridu-qos

echo "Install LVM-Xen  config=$CONFIG/Fridu-lvm.config      command=Fridu-lvm.script"
FIX_BASE lvm lvm $FRIDU_BASE
FIX_BASE lvm kernel-extract $FRIDU_BASE
ln -sf $BASE/lvm/Fridu-lvm.script $BINDIR/.
ln -sf $BASE/lvm/Fridu-lvm.config $CONFIG/.
ln -sf $BASE/lvm/Fridu-kernel-extract.script $BINDIR/.

sed "s:XEN_SCRIPTS=.*$:XEN_SCRIPTS=$XEN_SCRIPTS:" \
    <./network/Fridu-network.script >./network/Fridu-network.tmp
mv -f ./network/Fridu-network.tmp ./network/Fridu-network.script
chmod +x ./network/Fridu-network.script
ln -sf $BASE/network/Fridu-network.script $XEN_SCRIPTS/.
ln -sf $BASE/network/Fridu-network.script $BINDIR/.
